BEDOPS(1)

NAME
bedops - manual page for bedops 2.4.41+dfsg

DESCRIPTION
bedops

    citation: http://bioinformatics.oxfordjournals.org/content/28/14/1919.abstract

    https://doi.org/10.1093/bioinformatics/bts277

version:
    2.4.41 (typical)

authors:
    Shane Neph & Scott Kuehn

    USAGE: bedops [process-flags] <operation> <File(s)>*

    Every input file must be sorted per the sort-bed utility. Each operation requires a minimum number of files as shown below.

    There is no fixed maximum number of files that may be used.

    Input files must have at least the first 3 columns of the BED specification. The program accepts BED and Starch file formats. May use '-' for a file to indicate reading from standard input (BED format only).

    Process Flags:

--chrom <chromosome> Jump to and process data for given <chromosome> only.

--ec
    Error check input files (slower).

--header
    Accept headers (VCF, GFF, SAM, BED, WIG) in any input file.

--help
    Print this message and exit successfully.

--help-<operation>
    Detailed help on <operation>. An example is --help-c or --help-complement

--range L:R
    Add 'L' bp to all start coordinates and 'R' bp to end coordinates. Either value may be + or - to grow or shrink regions. With the -e/-n operations, the first (reference) file is not padded, unlike all other files.

--range S
    Pad or shrink input file(s) coordinates symmetrically by S. This is shorthand for: --range -S:S.

--version
    Print program information.

    Operations: (choose one of)

-c, --complement [-L] File1 [File]*

-d, --difference ReferenceFile File2 [File]*

-e, --element-of [bp | percentage] ReferenceFile File2 [File]*

by default, -e 100% is used.
    'bedops -e 1' is also popular.

-i, --intersect File1 File2 [File]*

-m, --merge File1 [File]*

-n, --not-element-of [bp | percentage] ReferenceFile File2 [File]*

by default, -n 100% is used.
    'bedops -n 1' is also popular.

-p, --partition File1 [File]*

-s, --symmdiff File1 File2 [File]*

-u, --everything File1 [File]*

-w, --chop [bp] [--stagger <nt>] [-x] File1 [File]*

    by default, -w 1 is used with no staggering.

Example: bedops --range 10 -u file1.bed

    NOTE: Only operations -e|n|u preserve all columns (no flattening)

SEE ALSO
The full documentation for bedops is maintained as a Texinfo manual. If the info and bedops programs are properly installed at your site, the command

    info bedops

should give you access to the complete manual.